= nng_http_server_release(3http)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_http_server_release - release HTTP server instance

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/http/http.h>

void nng_http_server_release(nng_http_server *server);
----

== DESCRIPTION

The `nng_http_server_release()` releases an instance of an HTTP _server_
that was previously held with
xref:nng_http_server_hold.3http.adoc[`nng_http_server_hold()`].

This effectively drops the reference count on the server instance.  When
the reference count drops to zero, then the _server_ and all resources
associated with it (e.g. HTTP handlers, connections, etc.) are deallocated.
(If the server is "running" when this occurs, then the server is stopped.)

IMPORTANT: It is an error to release an instance of a server that has
not previously been held, or to attempt to release an instance more
times than it has been held.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_http_server_hold.3http.adoc[nng_http_server_hold(3http)],
xref:nng_http_server_stop.3http.adoc[nng_http_server_stop(3http)],
xref:nng.7.adoc[nng(7)]
